Journeys
Update journey
Updates the graph and journey rules.
PATCH
/journeys/{id}journeys:writeRequest
idstring · pathResource identifier.mandatorynamestring · bodyJourney name.optionaldescriptionstring · bodyObjective of the journey.optionaltriggerstring · bodyInitial trigger.optionalblocksarray · bodyFlow blocks.optionalchannelsarray · bodyAllowed channels.optionalsegment_idstring · bodyEligible segment.optionalactiveboolean · bodyActivate the journey.optionalExample
curl
curl -X PATCH 'https://achadu.com/api/v1/journeys/resource_id' \
+ -H 'Authorization: Bearer ach_live_...' \
+ -H 'Accept: application/json' \
+ -H 'Content-Type: application/json' \
+ --data '{
"name": "My integration",
"description": "string",
"trigger": "string"
}'Answer
200Operation completed4xxError with code, message and request_id